import 'error.dart';

class JRpcAndIosError {
  dynamic error;
  int id;
  int code;
  String? message;

  JRpcAndIosError(this.id, this.code, [this.message]): super() {
    var err = Error(this.code, this.message);
    this.error = err.toJson();
  }

  JRpcAndIosError.fromJson(Map<String, dynamic> json): 
        id = json['id'],
        code = json['code'],
        error = json['error'],
        message = json['message'];
        // jsonrpc = json['jsonrpc'];
  
  Map<String, dynamic> toJson() => {
        'id': id,
        'code': code,
        'error': error,
        'message': message
  };
}