import 'dart:io';
// ignore_for_file: unnecessary_this, prefer_function_declarations_over_variables
import 'dart:math';
import '../classes/ios_transport.dart';
import 'package:flutter/material.dart';
import 'index.dart';

class Transport {
  List<Params> handles = [];
  int? transportHandle;

  int loop = 0;

  int generateHandle() {
    int newHandle = 0;
    Random rng = Random();
    newHandle = rng.nextInt(100);
    loop++;

    if (handles.isEmpty) {
      Params hndle = Params(newHandle);
      this.handles.add(hndle);
      return newHandle;
    } else if (this.handles.every((h) => h.handle != newHandle)) {
      Params hndle = Params(newHandle);
      this.handles.add(hndle);
      return newHandle;
    } else {
      if (loop < 10) {
        return generateHandle();
      } else {
        loop = 0;
        return 0;
      }
    }
  }

  Function getTransport = (Logger? logger) {
    dynamic transport;
    if (Platform.isIOS){
      transport = IosTransport(logger);
    } else {
      transport = HttpTransport(logger);
    }
    return transport;
  };

  Future open(String host, AppInfo appInfo, Function eventNotification) async {} //(JRpcEvent jsonRpc, [int? handle]){}

  Future openDevice(int? clientHandle, String guid) async {}

  Future close(int? handle) async {}

  Future getProperty(int? clientOrDeviceHandle, CaptureProperty property) async {}

  Future setProperty(int? clientOrDeviceHandle, CaptureProperty property) async {}

}
