class CaptureEvent {
  int id;
  int type;
  dynamic value;
  int? handle;

  CaptureEvent(this.id, this.type, this.value, [this.handle]);

  CaptureEvent.fromJson(Map<String, dynamic> json): 
        id = json['id'],
        type = json['type'],
        value = json['value'],
        handle = json['handle'];
  
  Map<String, dynamic> toJson() => {
        'id': id,
        'type': type,
        'value': value,
        'handle': handle
  };
}